org.apache.felix.ipojo.manipulator.metadata.annotation.model.discovery

## Class StereotypeDiscovery

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.model.discovery.StereotypeDiscovery

All Implemented Interfaces:
  AnnotationDiscovery

    public class StereotypeDiscovery
    extends Object
    implements AnnotationDiscovery

User: guillaume Date: 09/07/13 Time: 14:52

### Field Summary

Fields
`static String` `STEREOTYPE_DESCRIPTOR`

### Constructor Summary

Constructors
Constructor and Description
`StereotypeDiscovery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isStereotype()`
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String desc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STEREOTYPE_DESCRIPTOR

    public static final String STEREOTYPE_DESCRIPTOR

### Constructor Detail

#### StereotypeDiscovery

    public StereotypeDiscovery()

### Method Detail

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc)

Specified by:
  `visitAnnotation` in interface `AnnotationDiscovery`

#### isStereotype

    public boolean isStereotype()